Subject: Re: [PATCH v2] tag, branch, for-each-ref: add --ignore-case for sorting and filtering

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 Dec 2016 13:11:20 -0800

Nguyễn Thái Ngọc Duy  <[email-masked]> writes:

> This options makes sorting ignore case, which is great when you have
> branches named bug-12-do-something, Bug-12-do-some-more and
> BUG-12-do-what and want to group them together. Sorting externally may
> not be an option because we lose coloring and column layout from
> git-branch and git-tag.
>
> The same could be said for filtering, but it's probably less important
> because you can always go with the ugly pattern [bB][uU][gG]-* if you're
> desperate.
>
> You can't have case-sensitive filtering and case-insensitive sorting (or
> the other way around) with this though. For branch and tag, that should
> be no problem. for-each-ref, as a plumbing, might want finer control.
> But we can always add --{filter,sort}-ignore-case when there is a need
> for it.
>
> Signed-off-by: Nguyễn Thái Ngọc Duy <[email-masked]>
> ---

It took me a while to figure out the interactions with topics in
flight, but I think I resolved it correctly now.  There was a topic
that added "--format" to branch and tag.

Will be pushed out as part of today's integration cycle.

Thanks.